# Package org.gradle.tooling.provider.model

## Package org.gradle.tooling.provider.model Description

Interfaces and classes that allow tooling models to be made available to the tooling API client.

- Interface Summary
  Interface | Description
  --- | ---
  ToolingModelBuilder | Responsible for building tooling models.
  ToolingModelBuilderRegistry | A registry of tooling model builders.

- Exception Summary
  Exception | Description
  --- | ---
  UnknownModelException | Thrown when an unknown tooling model is requested.